Agora C++ API Reference for All Platforms

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
agora::media::base::Hdr10MetadataInfo Struct Reference

`#include <AgoraMediaBase.h>`

## Public Member Functions
| Hdr10MetadataInfo ()
bool | validate () const

## Public Attributes
uint16_t | redPrimaryX
uint16_t | redPrimaryY
uint16_t | greenPrimaryX
uint16_t | greenPrimaryY
uint16_t | bluePrimaryX
uint16_t | bluePrimaryY
uint16_t | whitePointX
uint16_t | whitePointY
unsigned int | maxMasteringLuminance
unsigned int | minMasteringLuminance
uint16_t | maxContentLightLevel
uint16_t | maxFrameAverageLightLevel

## Detailed Description

The definition of the Hdr10MetadataInfo struct.

## Constructor & Destructor Documentation

## ◆ Hdr10MetadataInfo()

agora::media::base::Hdr10MetadataInfo::Hdr10MetadataInfo | ( |  | ) |
| inline

## Member Function Documentation

## ◆ validate()

bool agora::media::base::Hdr10MetadataInfo::validate | ( |  | ) | const
| inline

## Member Data Documentation

## ◆ redPrimaryX

uint16_t agora::media::base::Hdr10MetadataInfo::redPrimaryX

The x coordinates of the red value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ redPrimaryY

uint16_t agora::media::base::Hdr10MetadataInfo::redPrimaryY

The y coordinates of the red value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ greenPrimaryX

uint16_t agora::media::base::Hdr10MetadataInfo::greenPrimaryX

The x coordinates of the green value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ greenPrimaryY

uint16_t agora::media::base::Hdr10MetadataInfo::greenPrimaryY

The y coordinates of the green value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ bluePrimaryX

uint16_t agora::media::base::Hdr10MetadataInfo::bluePrimaryX

The x coordinates of the blue value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ bluePrimaryY

uint16_t agora::media::base::Hdr10MetadataInfo::bluePrimaryY

The y coordinates of the blue value in the CIE1931 color space. The values need to normalized to 50,000.

## ◆ whitePointX

uint16_t agora::media::base::Hdr10MetadataInfo::whitePointX

The x coordinates of the white point in the CIE1931 color space.The values need to normalized to 50,000.

## ◆ whitePointY

uint16_t agora::media::base::Hdr10MetadataInfo::whitePointY

The y coordinates of the white point in the CIE1931 color space.The values need to normalized to 50,000.

## ◆ maxMasteringLuminance

unsigned int agora::media::base::Hdr10MetadataInfo::maxMasteringLuminance

The maximum number of nits of the display used to master the content. The values need to normalized to 10,000.

## ◆ minMasteringLuminance

unsigned int agora::media::base::Hdr10MetadataInfo::minMasteringLuminance

The minimum number of nits of the display used to master the content. The values need to normalized to 10,000.

## ◆ maxContentLightLevel

uint16_t agora::media::base::Hdr10MetadataInfo::maxContentLightLevel

The maximum content light level (MaxCLL). This is the nit value corresponding to the brightest pixel used anywhere in the content.

## ◆ maxFrameAverageLightLevel

uint16_t agora::media::base::Hdr10MetadataInfo::maxFrameAverageLightLevel

The maximum frame average light level (MaxFALL). This is the nit value corresponding to the average luminance of the frame which has the brightest average luminance anywhere in the content.